use super::macros::intermediate;
use super::registry::Registry;
use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IInlineSourceBlock {
    pub(crate) value: String,
}

intermediate!(
    IInlineSourceBlock,
    InlineSourceBlock,
    |registry, original| async {
        Ok(IInlineSourceBlock {
            value: original.value.to_owned(),
        })
    }
);
